
/**
 * Module dependencies.
 */

var express = require('express')
  , routes = require('./routes');

var app = module.exports = express.createServer();

// JADE Configuration ////////////////////////////////////////////////////////////////
	app.configure(function(){
	  app.set('views', __dirname + '/views');
	  app.set('view engine', 'jade');
	  app.use(express.bodyParser());
	  app.use(express.methodOverride());
	  // app.use(require('stylus').middleware({ src: __dirname + '/public' }));
	  app.use(app.router);
	  app.use(express.static(__dirname + '/public'));
	});

	app.configure('development', function(){
	  app.use(express.errorHandler({ dumpExceptions: true, showStack: true })); 
	});

	app.configure('production', function(){
	  app.use(express.errorHandler()); 
	});

// Jade Routes ////////////////////////////////////////////////////////////////////////
	
	app.get('/', routes.index);
	app.get('/fontface', routes.fontface);
	app.get('/fontweight', routes.fontweight);
	app.get('/shadow', routes.shadow);
	app.get('/transparency', routes.transparency);
	app.get('/zebra', routes.zebra);
	app.get('/borders', routes.borders);
	app.get('/multipleBGs', routes.multipleBGs);
	app.get('/transforms', routes.transforms);

app.listen(process.env.PORT || 3002);
console.log("Express server listening on port %d in %s mode", app.address().port, app.settings.env);
